% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/processing.R
\name{expression2List}
\alias{expression2List}
\title{Allows users to take the meta data in seurat/SCE and place it into a list 
that will work with all the functions}
\usage{
expression2List(sc, group)
}
\arguments{
\item{sc}{object after combineExpression().}

\item{group}{The column header to group the new list by}
}
\value{
list derived from the meta data of single-cell object with 
elements divided by the group parameter
}
\description{
Allows users to perform more fundamental measures of clonotype analysis 
using the meta data from the seurat or SCE object. For Seurat objects the 
active identity is automatically added as "cluster". Reamining grouping 
parameters or SCE or Seurat objects must appear in the meta data.
}
\examples{
#Getting the combined contigs
combined <- combineTCR(contig_list, rep(c("PX", "PY", "PZ"), each=2), 
rep(c("P", "T"), 3), cells ="T-AB")

#Getting a sample of a Seurat object
screp_example <- get(data("screp_example"))
sce <- suppressMessages(Seurat::UpdateSeuratObject(screp_example))
sce <- Seurat::as.SingleCellExperiment(sce)

#Using expression2List
newList <- expression2List(sce, group = "seurat_clusters")

}
